package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 流向查询记录-流向关联 对象 flow_query_record_flow
 * 
 * @author WeiganCai
 * @date 2021-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Schema(name="流向查询记录-流向关联对象", description="流向查询记录-流向关联信息")
public class FlowQueryRecordFlow implements Serializable {

    @Schema(name = "id")
    private Long id;

    @Schema(name = "流向查询记录id")
    private Long flowQueryRecordId;

    @Schema(name = "节点名称")
    private String nodeName;

    @Schema(name = "节点状态")
    private Integer nodeStatus;

    @Schema(name = "是否拆垛")
    private Integer isSplit;

    @Schema(name = "拆垛托盘码")
    private String splitStackCode;

    @Schema(name = "入库时间")
    private LocalDateTime inStorageTime;

    @Schema(name = "出库时间")
    private LocalDateTime outStorageTime;

    @Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @Schema(name = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @Schema(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @Schema(name = "是否删除")
    private Integer isDelete;

}
