package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author: ZhangZhao
 * @date: 2021/7/19 15:09
 * @description: 稽查案件编号生成策略
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum CaseNumberGenerateStrategyEnum {


    AUTO(1, "自动生成"),
    CUSTOM(2, "自定义");

    @EnumValue
    private final Integer code;
    private final String name;

    private static final Set<CaseNumberGenerateStrategyEnum> ALL = EnumSet.allOf(CaseNumberGenerateStrategyEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(CaseNumberGenerateStrategyEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(CaseNumberGenerateStrategyEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }


}
