package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author: zhang zhao
 * @date: 2021/7/2720:00
 * @description: 流向查询类型
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum FlowQueryTypeEnum {
    BOX_CODE(1, "箱码查询"),
    TRAY_CODE(2, "托盘码查询");
//    INVISIBLE_CODE(3, "隐形码查询")

    @EnumValue
    private final Integer code;
    private final String name;

    private static final Set<FlowQueryTypeEnum> ALL = EnumSet.allOf(FlowQueryTypeEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(FlowQueryTypeEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(FlowQueryTypeEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }


}
