package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author: ZhangZhao
 * @date: 2021/7/19 15:52
 * @description: 请求渠道枚举
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ReqChannelTypeEnum {


    WECHAT(1, "微信"),
    BACKSTAGE(2, "后台");

    @EnumValue
    private final Integer code;
    private final String name;

    private static final Set<ReqChannelTypeEnum> ALL = EnumSet.allOf(ReqChannelTypeEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(ReqChannelTypeEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(ReqChannelTypeEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }


}
