package com.abi.qms.platform.dao.mapper;


import com.abi.qms.platform.dao.entity.InspectionCase;
import com.abi.qms.platform.dao.vo.result.InspectionCaseDetailVO;
import com.abi.qms.platform.dao.vo.result.ListInspectionCaseVO;
import com.abi.qms.platform.dto.req.PageListInspectionCaseReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * 稽查案件 Mapper接口
 *
 * @author: ZhangZhao
 * @date: 2021-07-19
 */
public interface InspectionCaseMapper extends BaseMapper<InspectionCase> {

    /**
     * 分页条件查询
     *
     * @param page        分页信息
     * @param pageListReq 查询条件
     * @return 查询结果
     */
    IPage<ListInspectionCaseVO> pageListQuery(IPage<ListInspectionCaseVO> page,
                                              @Param("param") PageListInspectionCaseReq pageListReq);

    /**
     * 查询案件详情
     *
     * @param id ID
     * @return 详情信息
     */
    InspectionCaseDetailVO selectInspectionCaseDetailById(@Param("caseId") Long id);
}
