package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jetbrains.annotations.NotNull;

import javax.validation.constraints.NotBlank;

/**
 * @author: zhang zhao
 * @date: 2021/7/2716:38
 * @description: 新增流向查询记录入参
 */
@Data
@ApiModel
public class AddFlowQueryRecordReq {

    /**
     * 流向状态 1-正常  2-异常
     */
    @ApiModelProperty(value = "流向状态 1-正常  2-异常 ", required = true)
    @NotNull
    private Integer flowStatus;

    /**
     * 查询类型 1-箱码查询 2-托盘码查询
     */
    @ApiModelProperty(value = "查询类型 1-箱码查询 2-托盘码查询", required = true)
    @NotNull
    private Integer queryType;

    /**
     * 箱码
     */
    @ApiModelProperty("箱码 查询类型为箱码时必传")
    private String boxCode;

    /**
     * 托盘码
     */
    @ApiModelProperty("托盘码 查询类型为托盘码时必传")
    private String trayCode;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌", required = true)
    @NotBlank
    private String brand;

    /**
     * SKU-CODE
     */
    @ApiModelProperty(value = "SKU-CODE", required = true)
    @NotBlank
    private String skuCode;

    /**
     * 查询平台
     */
    @ApiModelProperty(value = "查询平台 1-微信  2-后台", required = true)
    @NotBlank
    private Integer queryPlatform;


    /**
     * 查询地址
     */
    @ApiModelProperty(value = "查询地址 查询平台为微信时必传")
    private String queryAddress;

    /**
     * 查询请求IP
     */
    @ApiModelProperty(value = "查询请求IP 查询平台为后台时必传")
    private String queryIp;

    /**
     * 异常节点-流出
     */
    @ApiModelProperty(value = "异常节点-流出 流向状态为异常时必传")
    private String abnormalNodeIn;

    /**
     * 异常节点-流入
     */
    @ApiModelProperty(value = "异常节点-流入 流向状态为异常时必传")
    private String abnormalNodeOut;


}
