package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: ZhangZhao
 * @date: 2021/7/21 16:17
 * @description: TODO
 */
@ApiModel
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class PageListFlowQueryRecordRes extends PageResp implements Serializable {

    /**
     * 数据列表
     */
    @ApiModelProperty(value = "流向数据列表")
    private List<FlowQueryRecordBean> flowQueryRecordList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "PageListFlowQueryRecordRes_FlowQueryRecordBean")
    public static class FlowQueryRecordBean implements Serializable {

        /**
         * id
         */
        @ApiModelProperty(value = "编号")
        private Long id;

        /**
         * 流向状态 1-正常  2-异常
         */
        @ApiModelProperty(value = "流向状态")
        private String flowStatus;

        /**
         * 箱码
         */
        @ApiModelProperty(value = "箱码")
        private String boxCode;

        /**
         * 托盘码
         */
        @ApiModelProperty(value = "托盘码")
        private String trayCode;

        /**
         * 品牌
         */
        @ApiModelProperty(value = "品牌")
        private String brand;

        /**
         * SKU SKU-NAME
         */
        @ApiModelProperty(value = "SKU")
        private String skuName;

        /**
         * 查询类型 1-箱码查询 2-托盘码查询
         */
        @ApiModelProperty(value = "查询类型 1-箱码查询 2-托盘码查询")
        private Integer queryType;

        /**
         * 查询平台 1-微信  2-后台
         */
        @ApiModelProperty(value = "查询平台")
        private String queryPlatform;

        /**
         * 查询地址
         */
        @ApiModelProperty(value = "查询地址")
        private String queryAddress;

        /**
         * 异常节点-流出
         */
        @ApiModelProperty(value = "异常节点-流出")
        private String abnormalNodeIn;

        /**
         * 异常节点-流入
         */
        @ApiModelProperty(value = "异常节点-流入")
        private String abnormalNodeOut;

        /**
         * 创建时间
         */
        @ApiModelProperty(value = "查询时间")
        private LocalDateTime queryTime;

        /**
         * 创建人id
         */
        @ApiModelProperty(value = "创建人id")
        private Long queryUserID;

        /**
         * 创建人名称
         */
        @ApiModelProperty(value = "创建人名称")
        private String queryUserName;


    }


}
