package com.abi.qms.platform.service.impl;

import com.abi.qms.platform.dao.mapper.InspectionCaseNumberMapper;
import com.abi.qms.platform.service.InspectionCaseNumberService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 稽查案件编号 Service业务层处理
 *
 * @author WeiganCai
 * @date 2021-07-20
 */
@Service
@Slf4j
public class InspectionCaseNumberServiceImpl implements InspectionCaseNumberService {
    @Autowired
    private InspectionCaseNumberMapper caseNumberMapper;

    /**
     * 根据cityId获取案件编号
     */
    @Override
    public Long getCaseNumber(Long cityId) {
        return caseNumberMapper.getCaseNumber(cityId);
    }

}
