package com.abi.qms.platform.valid;

import com.abi.qms.platform.dao.enums.ValidatorEnum;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.regex.Pattern;

/**
 * @className: com.abi.qms.platform.valid-> EmailValidator
 * @description:
 * @author: Marko.W
 * @createDate: 2021-06-21 18:02
 * @version: 1.0
 * @todo:
 */
@Component
public class EmailValidator extends PropertyValidator{


    @Override
    public Boolean doCheck(String email){
        if (StringUtils.isBlank(email)) {
            return false;
        }
        String emailFormatString = "^[a-z0-9A-Z]{1,50}+[- | a-z0-9A-Z . _]{0,50}+@([a-z0-9A-Z]{0,50}+(-[a-z0-9A-Z]+)?\\.){1,50}+[a-z]{1,10}$";
        Pattern emailFormat = Pattern.compile(emailFormatString);
        if (!emailFormat.matcher(email).matches()) {
            return false;
        }
        return true;
    }

    @PostConstruct
    public void init(){
        validatorMap.put(ValidatorEnum.EMAIL, this);
    }
}
